<?php

/* DCMS Special
 * Дата последнего редактирования 27.12.2015
 * Модифицировал densnet
 */

require_once 'sys/inc/start.php';
require_once 'sys/inc/compress.php';
require_once 'sys/inc/sess.php';
require_once 'sys/inc/settings.php';
require_once 'sys/inc/db_connect.php';
require_once 'sys/inc/ipua.php';
require_once 'sys/inc/fnc.php';

$banpage = true;

require_once 'sys/inc/user.php';

only_reg();

$set['title'] = 'БАН';

require_once 'sys/inc/thead.php';

aut();
err();

if (!isset($user)) {
    header("Location: /index.php?" . SID);
    exit;
}
$b = $db->super_query("SELECT COUNT(*) as count FROM `ban` WHERE `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0')");
if ($b['count'] == 0) {
    header('Location: /index.php?' . SID);
    exit;
}

$db->query("UPDATE `ban` SET `view` = '1' WHERE `id_user` = '" . $user['id'] . "'"); // увидел причину бана

echo "<div class='list-group-item-null'>";
echo "Вы забанены!";
echo "</div>";

$k_post = $db->super_query("SELECT COUNT(*) as count FROM `ban` WHERE `id_user` = '" . $user['id'] . "'");
$k_post = $k_post['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

$q = $db->query("SELECT * FROM `ban` WHERE `id_user` = '" . $user['id'] . "' ORDER BY `time` DESC LIMIT $start, " . $set['p_str'] . "");
while ($post = $db->get_row($q)) {
    $ank = get_user($post['id_ban']);

    echo "<table class='list-group-item-null'><tr><td class='icon14'>\n";
    avatar($ank['id'], '48', 'border-radius: 2px;');
    echo "</td><td class='null'>\n";
    echo "$ank[nick]: до " . date::time($post['time']) . "\n";

    echo "<br />";
    echo toOutput($post['prich']);
    echo "</td></tr></table>";
}

if ($k_page > 1) {
    str('?', $k_page, $page);
}

echo "<div class='list-group-item-null'>\n";
echo "Чтобы больше не возникало подобных ситуаций, рекомендуем Вам изучить <a href=\"/modules/info/rules.php\">правила</a> нашего сайта<br />\n";
echo "</div>\n";

require_once 'sys/inc/tfoot.php';

